#include "progress.moc"
Progress::Progress(QWidget *parent, const char *name, bool modal, WFlags f):QDialog(parent, name, modal, f|WType_Modal)
{
	p=0;
	Layout=new QGridLayout(this);
	Header=new QLabel(tr("Creating boot disk... Please wait!"), this);
	Layout->addWidget(Header, 0, 0);
	ProgressBar=new QProgressBar(55 /* HACK */, this);
	ProgressBar->setCenterIndicator(1);
	Layout->addWidget(ProgressBar, 1, 0);
	Timer=new QTimer(this);
	Timer->start(1000);
	connect(Timer, SIGNAL(timeout()), this, SLOT(incProgress()));
}
void Progress::finished()
{
	Header->setText(tr("Done!"));
	ProgressBar->setProgress(55);
	Timer->stop();
	connect(Timer, SIGNAL(timeout()), this, SLOT(accept()));
	Timer->start(500);
}
