#ifndef __PROGRESS_H__
#define __PROGRESS_H__ 1
#include <qdialog.h>
#include <qlayout.h>
#include <qlabel.h>
#include <qprogressbar.h>
#include <qtimer.h>
class Progress:public QDialog {
	Q_OBJECT
public:
	Progress(QWidget *parent=0, const char *name=0, bool modal=false, WFlags f=0);
protected slots:
	void setProgress(int p) { ProgressBar->setProgress(p); }
	void incProgress() { setProgress(p++); }
	void finished();
private:
	QGridLayout	*Layout;
	QLabel		*Header;
	QProgressBar	*ProgressBar;
	QTimer		*Timer;
	int		p;
};
#endif
